import { DefaultErrorStrategy, Parser, RecognitionException, Token } from "antlr4ts";
export declare class MySqlErrorStrategy extends DefaultErrorStrategy {
    inErrorRecoveryMode(recognizer: Parser): boolean;
    recover(recognizer: Parser, e: RecognitionException): void;
    recoverInline(recognizer: Parser): Token;
    reportError(recognizer: Parser, e: RecognitionException): void;
    reportMatch(recognizer: Parser): void;
    reset(recognizer: Parser): void;
    sync(recognizer: Parser): void;
}
